/* Terraform - (C) 1997-1999 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _MENU_DEFS_H
#define _MENU_DEFS_H

// 
// defines for menu texts and accelerators 
//

#define MENU_FILE_BRANCH			"/_File"
#define MENU_FILE_BRANCH_AC			"<alt>F"

#define MENU_FILE_NEW_BRANCH		"/File/New"
#define MENU_FILE_NEW_SYNTHESIS		"/File/New/Spectral S_ynthesis"
#define MENU_FILE_NEW_SYNTHESIS_AC 	"<control>Y"

#define MENU_FILE_NEW_SUBDIVIDE		"/File/New/Sub_division"
#define MENU_FILE_NEW_SUBDIVIDE_AC 	"<control>D"

#define MENU_FILE_NEW_RANDOM 		"/File/New/Ra_ndom"
#define MENU_FILE_NEW_RANDOM_AC		"<control>N"

#define MENU_FILE_OPEN				"/File/_Open"
#define MENU_FILE_OPEN_AC			"<control>O"

#define MENU_FILE_RELOAD			"/File/_Reload"
#define MENU_FILE_RELOAD_AC			"<control>R"

#define MENU_FILE_SAVE				"/File/_Save"
#define MENU_FILE_SAVE_AC			"<control>S"

#define MENU_FILE_SAVEAS			"/File/Save _As ..."
#define MENU_FILE_SAVEAS_AC			"<control>A"

#define MENU_FILE_CLOSE				"/File/Clos_e"
#define MENU_FILE_CLOSE_AC			"<control>E"

#define MENU_FILE_EXPORT_BRANCH 	"/File/Export"
#define MENU_FILE_EXPORT_POVRAY		"/File/Export/PO_VRay"
#define MENU_FILE_EXPORT_POVRAY_AC 	"<control>V"

#define MENU_FILE_OPTIONS			"/File/O_ptions"
#define MENU_FILE_OPTIONS_AC		"<control>P"

#define MENU_FILE_ABOUT				"/File/About"
#define MENU_FILE_ABOUT_AC			0

#define MENU_FILE_EXIT				"/File/E_xit"
#define MENU_FILE_EXIT_AC			"<control>X"



#define MENU_HF_BRANCH				"/_HF"
#define MENU_HF_BRANCH_AC			"<alt>H"

#define MENU_HF_CRATERS 			"/HF/_Craters"
#define MENU_HF_CRATERS_AC			"<control>C"

#define MENU_HF_FILL				"/HF/Fill"
#define MENU_HF_FILL_AC				0

#define MENU_HF_FOLD				"/HF/_Fold"
#define MENU_HF_FOLD_AC				"<control>F"

#define MENU_HF_GAUSS_HILL			"/HF/_Gaussian Hill"
#define MENU_HF_GAUSS_HILL_AC		"<control>G"

#define MENU_HF_LINSCALE			"/HF/_Linear Scale"
#define MENU_HF_LINSCALE_AC			"<control>L"

#define MENU_HF_MIRROR				"/HF/_Mirror"
#define MENU_HF_MIRROR_AC			"<control>M"

#define MENU_HF_ROTATE				"/HF/Rotate"
#define MENU_HF_ROTATE_AC			0

#define MENU_HF_ROUGHSMOOTH			"/HF/Ro_ughen&Smooth"
#define MENU_HF_ROUGHSMOOTH_AC		"<control>U"

#define MENU_HF_TRANSFORM			"/HF/_Transform"
#define MENU_HF_TRANSFORM_AC		"<control>T"

#define MENU_HF_EXPORT_CONTOUR 		"/HF/Contour Line Map"
#define MENU_HF_EXPORT_CONTOUR_AC 	0

#define MENU_HF_ERODE				"/HF/Erode"
#define MENU_HF_ERODE_AC			0

#define MENU_HF_INVERT				"/HF/_Invert"
#define MENU_HF_INVERT_AC			"<control>I"

#define MENU_HF_FLOWMAP				"/HF/Flowmap"
#define MENU_HF_FLOWMAP_AC			0

#define MENU_HF_PLACEPOV			"/HF/Place POV Object"
#define MENU_HF_PLACEPOV_AC			0

#define MENU_HF_RESCALE				"/HF/Rescale"
#define MENU_HF_RESCALE_AC			0



#define MENU_VIEW_BRANCH			"/_View"
#define MENU_VIEW_BRANCH_AC			"<alt>V"

#define MENU_VIEW_2DPLANE 			"/View/2D Plane"
#define MENU_VIEW_2DPLANE_AC 		"<control>1"

#define MENU_VIEW_3DWIRE 			"/View/3D Wire"
#define MENU_VIEW_3DWIRE_AC 		"<control>2"

#define MENU_VIEW_3DHEIGHT			"/View/3D Height"
#define MENU_VIEW_3DHEIGHT_AC		"<control>3"

#define MENU_VIEW_3DLIGHT 			"/View/3D Light"
#define MENU_VIEW_3DLIGHT_AC 		"<control>4"

#define MENU_VIEW_FASTWIRE			"/View/Fast Wireframe"
#define MENU_VIEW_FASTWIRE_AC		"<control>5"

#define MENU_VIEW_AUTOROTATE 		"/View/Auto Rotate"
#define MENU_VIEW_AUTOROTATE_AC 	"<control>6"




#define MENU_CMAP_BRANCH			"/_Colormap"
#define MENU_CMAP_BRANCH_AC			"<alt>C"
#define MENU_CMAP_COLORBANDS		"/Colormap/Color Bands"
#define MENU_CMAP_COLORBANDS_AC		"<alt>1"

#define MENU_CMAP_DESERT			"/Colormap/Desert"
#define MENU_CMAP_DESERT_AC			"<alt>2"

#define MENU_CMAP_GRAYSCALE			"/Colormap/Grayscale"
#define MENU_CMAP_GRAYSCALE_AC		"<alt>3"

#define MENU_CMAP_REDHOT			"/Colormap/RedHot"
#define MENU_CMAP_REDHOT_AC			"<alt>4"


#endif // _MENU_DEFS_H

